Skip to main content
`Ctrl`+`K`

# PCGAMGClassicalGetType

Gets the type of classical interpolation to use with `PCGAMG`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGClassicalGetType(PC pc, PCGAMGClassicalType *type)

Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- type - the type used, see `PCGAMGClassicalType()`

## See Also

KSP: Linear System Solvers, `PCGAMG`, `PCGAMGClassicalType`, `PCGAMGClassicalSetType()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/classical.c

## Implementations

PCGAMGClassicalGetType_GAMG() in src/ksp/pc/impls/gamg/classical.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages